"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function PageInfoStartEndCursor(builder) {
  builder.hook("GraphQLObjectType:fields", function (fields, _ref, _ref2) {
    var extend = _ref.extend,
        getTypeByName = _ref.getTypeByName;
    var Self = _ref2.Self;

    if (Self.name !== "PageInfo") {
      return fields;
    }
    var Cursor = getTypeByName("Cursor");
    return extend(fields, {
      startCursor: {
        description: "When paginating backwards, the cursor to continue.",
        type: Cursor
      },
      endCursor: {
        description: "When paginating forwards, the cursor to continue.",
        type: Cursor
      }
    });
  });
};
//# sourceMappingURL=PageInfoStartEndCursor.js.map